function Bacteria = CreateBacteria(nrOfBacteria, arenaSize)

Bacteria = [];

stepLength = 0.005*arenaSize;
for i = 1:nrOfBacteria
  position = [-0.5*arenaSize + arenaSize*rand -0.5*arenaSize + arenaSize*rand];
  heading = 2*pi*rand;
  radius = 0.01*arenaSize;
  Bacterium = struct('Name',i,...
                     'Radius',radius,...
                     'Position',position,...
                     'Heading',heading,...
                     'V',0,...
                     'U',0,...
                     'c1',0.0,...      % Not a suitable value!
                     'c2',0.0,...      % Not a suitable value!
                     'ActiveBehavior',1,...
                     'StepLength',stepLength);
  Bacteria = [Bacteria Bacterium];
end


