if strcmp(computer,'PCWIN')
	path(path,'.\BacteriaFunctions');
	path(path,'.\PlotFunctions');
	path(path,'.\ArenaFunctions');
else
	path(path,'./BacteriaFunctions');
	path(path,'./PlotFunctions');
	path(path,'./ArenaFunctions');
end

arenaSize = 6;
attractantSize = 1; 
backgroundColor = [0.2 0.2 0.2];
attractantColor = [0.6 0.6 0.6];
attractantConcentration = 1.0;
threshold = 0.00; %% May be modified if needed.

nrOfBacteria = 100;

maxSteps = 1000;
dt = 0.01;

Arena = CreateArena('arena', arenaSize, attractantSize,backgroundColor, ...
                    attractantColor,attractantConcentration, threshold);

Bacteria = CreateBacteria(nrOfBacteria,arenaSize);

figureHandle = InitializePlot(Arena,Bacteria);

for i=1:maxSteps
  %Bacteria = UpdateUtility(Bacteria,Arena,dt);  %% to be written (problem 2.2)
  %Bacteria = MoveBacteria(Bacteria,Arena,dt);   %% to be written (problem 2.2)
  ShowBacteria(Bacteria);
  pause(0.001);
end

ni = 0;
for i =1:nrOfBacteria
  r = sqrt(Bacteria(i).Position(1)^2 + Bacteria(i).Position(2)^2);
  if (r < 1.5)
    ni = ni + 1;
  end
end

ni/nrOfBacteria